Subject: Re: bug#12078: 24.1; Improve the I-search prompt

From: Juri Linkov <[email-masked]>
Date: Wed, 08 Aug 2012 11:06:19 +0300

> However, on second thought, I think that the "failing" message is
> actually unnecessary.  Looking at the echo area, it is obvious whether
> the current search is failing or not (if it's failing, the unmatched
> text will be on a different face).

After trying this I think the "[failing]" message doesn't look too nice.
As you mentioned, it is unnecessary due to the `isearch-fail' face.
But then this message still should be displayed in environments that don't
support the `isearch-fail' face.

The "[pending]" message should be changed too to address complaints
that it's unclear what does it mean.  Maybe something like
"[Search type changed]"

The "[wrapped]" message could be displayed only once after wrapping,
like e.g. in Firefox that displays the message
"Reached top of page, continued from bottom" or
"Reached end of page, continued from top".